# Interface CommonSteps.OneWayConfigAndFromStep<SELF extends CommonSteps.OneWayConfigAndFromStep<SELF>>

Type Parameters:
  `SELF` - self type

All Superinterfaces:
  `CommonSteps.DirectionStep<SELF>, ListCommonSteps.ListFromStep, ListOneWaySteps.ListOneWayFromStep, SetCommonSteps.SetFromStep, SetOneWaySteps.SetOneWayFromStep, Step, ValueCommonSteps.ValueFromStep, ValueOneWaySteps.ValueOneWayFromStep`

Enclosing class:
  `CommonSteps`

public static interface CommonSteps.OneWayConfigAndFromStep<SELF extends CommonSteps.OneWayConfigAndFromStep<SELF>> extends CommonSteps.DirectionStep<SELF>, ValueOneWaySteps.ValueOneWayFromStep, ListOneWaySteps.ListOneWayFromStep, SetOneWaySteps.SetOneWayFromStep
Step for settings the from-end observable of one-way-bindings. It this step the value-type (value, list or set) is chosen.

Since:
  1.11
Restriction:

## Method Summary

### Methods inherited from interface CommonSteps.DirectionStep

`modelToTarget, targetToModel`

### Methods inherited from interface ListOneWaySteps.ListOneWayFromStep

`from`

### Methods inherited from interface SetOneWaySteps.SetOneWayFromStep

`from`

### Methods inherited from interface ValueOneWaySteps.ValueOneWayFromStep

`from`